org.keycloak.models.sessions.jpa.entities

## Class ClientSessionRoleEntity.Key

- java.lang.Object
- - org.keycloak.models.sessions.jpa.entities.ClientSessionRoleEntity.Key

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    ClientSessionRoleEntity

      public static class ClientSessionRoleEntity.Key
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientSessionEntity` | `clientSession`
    `protected String` | `roleId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionRoleEntity.Key()`
    `ClientSessionRoleEntity.Key(ClientSessionEntity clientSession, String roleId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ClientSessionEntity` | `getClientSession()`
    `String` | `getRoleId()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientSession

          protected ClientSessionEntity clientSession

    - #### roleId

          protected String roleId

  - ### Constructor Detail

    - #### ClientSessionRoleEntity.Key

          public ClientSessionRoleEntity.Key()

    - #### ClientSessionRoleEntity.Key

          public ClientSessionRoleEntity.Key(ClientSessionEntity clientSession,
                                     String roleId)

  - ### Method Detail

    - #### getClientSession

          public ClientSessionEntity getClientSession()

    - #### getRoleId

          public String getRoleId()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2014. All Rights Reserved.